Subject: Re: [alpine-devel] Can't build apk-tools

From: Dubiousjim <[email-masked]>
Date: Mon, 17 Jun 2013 13:24:16 -0400

On Mon, Jun 17, 2013 at 03:55:44PM +0200, Natanael Copa wrote:
> On Sun, 16 Jun 2013 20:47:22 -0400
> Dubiousjim <[email-masked]> wrote:
> 
> > I'm a bit perplexed how to build apk-tools by hand, either using
> > aports/abuild, or using git://git.alpinelinux.org/apk-tools. Some months
> 
> ...
> 
> > but that didn't seem to be enough. I'd still get a bunch of linking
> > errors about "undefined reference to `__stack_chk_fail_local'". 
> 
> I would guess this comes from that your libc does not have SSP enabled
> and your gcc is hardened.

Yeah, that's a natural hypothesis. But I didn't custom build that
libc, it's straight from the edge/x86 repo. And indeed:

    $ nm -D /lib/libc.so | fgrep stack_chk
    0000bc15 T __stack_chk_fail

I'm guessing this shows that the libc has ssp, though perhaps I'm wrong.

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---